libcli/ldap: use lib/ldb_compat.h for the s3 build
[ira/wip.git] / libcli / ldap / ldap_message.h
index c50018465c88d83c30fbcd28d1336338e1bd2f9a..3354fadb92b086de329a5ac9da5ce56e751139b8 100644 (file)
 #define _LIBCLI_LDAP_MESSAGE_H_
 
 #include "../libcli/ldap/ldap_errors.h"
+#if _SAMBA_BUILD_ == 3
+#include "lib/ldb_compat.h"
+#else
 #include "lib/ldb/include/ldb.h"
+#endif
 
 enum ldap_request_tag {
        LDAP_TAG_BindRequest = 0,